/// <reference types="node" />
import { Json } from "../common/types.js";
export interface FileStorageOptions {
    pretty?: boolean;
    path?: string;
    extension?: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
export declare class FileStorage {
    private store;
    private dirname;
    private fileKeys?;
    private pretty;
    private extension;
    private extensionLength;
    private objectFromString;
    private objectToString;
    constructor(opt?: FileStorageOptions);
    setItem(key: string, value: Json): void;
    getPath(key: string): string;
    getBuffer(key: string): Buffer;
    getItem(key: string): Json | null;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}
